using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Mpeg2;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.Dvb.Descriptors
{
	[SkyscraperPlugin]
	[TsDescriptor(0xff)]
    [BannedTable("BAT","EIT","PMT")]
    class _0xFF_ReservedForFutureUse : TsDescriptor
    {
        public _0xFF_ReservedForFutureUse(byte[] buffer)
        {
            throw new NotSupportedException(this.GetType().Name);
        }
    }
}
